<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SymbolLookup/Namespace.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::SymbolLookup::Namespace</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../SymbolLookup.html" >SymbolLookup</a>
</div><div class="class-name">class Namespace

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/SymbolLookup/Scopes.hh.html" target="detail">../Synopsis/SymbolLookup/Scopes.hh</a></div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis_mSymbolLookup_mNamespace" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line172" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="Namespace-inheritance" src="Namespace-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Namespace-inheritance_map" />
<map name="Namespace-inheritance_map"><area alt="Scopes/Synopsis/SymbolLookup/Scope.html" href="Scope.html" shape="rect" coords="20, 7, 228, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Namespace_lconst.PTree_mNamespaceSpec_S_cconst.Namespace_S_r">Namespace</a>(const&#160;<a href="../PTree/NamespaceSpec.html" >PTree::NamespaceSpec</a>* <span class="variable">spec</span>, const&#160;<a href="Namespace.html" >Namespace</a>* <span class="variable">outer</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line175" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Namespace.html" >Namespace</a>* <span class="name"><a href="Namespace.html#find_namespace_lconst.PTree_mNamespaceSpec_S_rconst" >find_namespace</a></span>(const&#160;<a href="../PTree/NamespaceSpec.html" >PTree::NamespaceSpec</a>* <span class="variable">name</span>) <span class="keyword">const</span> </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line181" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>Find a nested namespace.</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="use_lconst.PTree_mUsingDirective_S_r">use</a>(const&#160;<a href="../PTree/UsingDirective.html" >PTree::UsingDirective</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line183" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span> const&#160;<a href="Scope.html" >Scope</a>* <a class="name" id="outer_scope_l_rconst">outer_scope</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis_mSymbolLookup_mNamespace_mouter_scope_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line184" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span> <a href="../SymbolLookup.html#SymbolSet" >SymbolSet</a> <a class="name" id="unqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst">unqualified_lookup</a>(const&#160;<a href="../PTree/Encoding.html" >PTree::Encoding</a>&amp;, <a href="Scope.html#LookupContext" >Scope::LookupContext</a>) <span class="keyword">const</span> </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line186" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span> <a href="../SymbolLookup.html#SymbolSet" >SymbolSet</a> <a class="name" id="qualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst">qualified_lookup</a>(const&#160;<a href="../PTree/Encoding.html" >PTree::Encoding</a>&amp;, <a href="Scope.html#LookupContext" >Scope::LookupContext</a>) <span class="keyword">const</span> </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line188" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;std::string <a class="name" id="name_l_rconst">name</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis_mSymbolLookup_mNamespace_mname_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line192" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lScopeVisitor_S_r">accept</a>(<a href="ScopeVisitor.html" >ScopeVisitor</a>* <span class="variable">v</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis_mSymbolLookup_mNamespace_maccept_lScopeVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line194" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Protected Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>destructor</i> <a class="name" id="_tNamespace_l_r">~Namespace</a>()  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis_mSymbolLookup_mNamespace_m_tNamespace_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line197" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Typedefs Summary:</div>
<div class="item"><div class="synopsis">std::set&lt;const&#160;<a href="Namespace.html" >Namespace</a>*&gt; <a class="name" id="Using">Using</a></div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis_mSymbolLookup_mNamespace_mUsing" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line200" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<a href="../SymbolLookup.html#SymbolSet" >SymbolSet</a> <a class="name" id="unqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_cUsing_A_rconst">unqualified_lookup</a>(const&#160;<a href="../PTree/Encoding.html" >PTree::Encoding</a>&amp;, <a href="Scope.html#LookupContext" >Scope::LookupContext</a>, <a href="Namespace.html#Using" >Using</a>&amp;) <span class="keyword">const</span> </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line203" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="../SymbolLookup.html#SymbolSet" >SymbolSet</a> <a class="name" id="qualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_cUsing_A_rconst">qualified_lookup</a>(const&#160;<a href="../PTree/Encoding.html" >PTree::Encoding</a>&amp;, <a href="Scope.html#LookupContext" >Scope::LookupContext</a>, <a href="Namespace.html#Using" >Using</a>&amp;) <span class="keyword">const</span> </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line205" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis">const&#160;<a href="../PTree/NamespaceSpec.html" >PTree::NamespaceSpec</a>* <a class="name" id="my_spec">my_spec</a></div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis_mSymbolLookup_mNamespace_mmy_spec" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line207" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">const&#160;<a href="Namespace.html" >Namespace</a>* <a class="name" id="my_outer">my_outer</a></div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis_mSymbolLookup_mNamespace_mmy_outer" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line208" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="Namespace.html#Using" >Using</a> <a class="name" id="my_using">my_using</a></div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis_mSymbolLookup_mNamespace_mmy_using" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line209" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Public Typedefs Inherited from Scope">
<tr><td colspan="2" class="heading">Public Typedefs Inherited from Scope</td></tr>
<tr><td class="inherited"><a href="Scope.html#symbol_iterator" title="typedef Scope::symbol_iterator">symbol_iterator</a>,
<a href="Scope.html#scope_iterator" title="typedef Scope::scope_iterator">scope_iterator</a>,
<a href="Scope.html#LookupContext" title="typedef Scope::LookupContext">LookupContext</a></td></tr></table>
<table width="100%" summary="Public Member functions Inherited from Scope">
<tr><td colspan="2" class="heading">Public Member functions Inherited from Scope</td></tr>
<tr><td class="inherited"><a href="Scope.html#ref_l_r" title="member function Scope::ref&#40;&#41;">ref</a>,
<a href="Scope.html#ref_l_rconst" title="member function Scope::ref&#40;&#41;const">ref</a>,
<a href="Scope.html#unref_l_rconst" title="member function Scope::unref&#40;&#41;const">unref</a>,
<a href="Scope.html#global_scope_l_rconst" title="member function Scope::global_scope&#40;&#41;const">global_scope</a>,
<a href="Scope.html#symbols_begin_l_rconst" title="member function Scope::symbols_begin&#40;&#41;const">symbols_begin</a>,
<a href="Scope.html#symbols_end_l_rconst" title="member function Scope::symbols_end&#40;&#41;const">symbols_end</a>,
<a href="Scope.html#scopes_begin_l_rconst" title="member function Scope::scopes_begin&#40;&#41;const">scopes_begin</a>,
<a href="Scope.html#scopes_end_l_rconst" title="member function Scope::scopes_end&#40;&#41;const">scopes_end</a>,
<a href="Scope.html#declare_lconst.PTree_mEncoding_A_cconst.Symbol_S_r" title="member function Scope::declare&#40;const PTree::Encoding&amp;&#44;const Symbol*&#41;">declare</a>,
<a href="Scope.html#declare_scope_lconst.PTree_mNode_S_cScope_S_r" title="member function Scope::declare_scope&#40;const PTree::Node*&#44;Scope*&#41;">declare_scope</a>,
<a href="Scope.html#find_scope_lconst.PTree_mNode_S_rconst" title="member function Scope::find_scope&#40;const PTree::Node*&#41;const">find_scope</a>,
<a href="Scope.html#find_scope_lconst.PTree_mEncoding_A_cconst.Symbol_S_rconst" title="member function Scope::find_scope&#40;const PTree::Encoding&amp;&#44;const Symbol*&#41;const">find_scope</a>,
<a href="Scope.html#remove_scope_lconst.PTree_mNode_S_r" title="member function Scope::remove_scope&#40;const PTree::Node*&#41;">remove_scope</a>,
<a href="Scope.html#find_lconst.PTree_mEncoding_A_cLookupContext_rconst" title="member function Scope::find&#40;const PTree::Encoding&amp;&#44;LookupContext&#41;const">find</a>,
<a href="Scope.html#remove_lconst.Symbol_S_r" title="member function Scope::remove&#40;const Symbol*&#41;">remove</a>,
<a href="Scope.html#lookup_lconst.PTree_mEncoding_A_cLookupContext_rconst" title="member function Scope::lookup&#40;const PTree::Encoding&amp;&#44;LookupContext&#41;const">lookup</a></td></tr></table>
<table width="100%" summary="Public Data members Inherited from Scope">
<tr><td colspan="2" class="heading">Public Data members Inherited from Scope</td></tr>
<tr><td class="inherited"><a href="Scope.html#DEFAULT" title="data member Scope::DEFAULT">DEFAULT</a>,
<a href="Scope.html#SCOPE" title="data member Scope::SCOPE">SCOPE</a>,
<a href="Scope.html#USING" title="data member Scope::USING">USING</a>,
<a href="Scope.html#ELABORATE" title="data member Scope::ELABORATE">ELABORATE</a>,
<a href="Scope.html#DECLARATION" title="data member Scope::DECLARATION">DECLARATION</a></td></tr></table>
<table width="100%" summary="Protected Typedefs Inherited from Scope">
<tr><td colspan="2" class="heading">Protected Typedefs Inherited from Scope</td></tr>
<tr><td class="inherited"><a href="Scope.html#SymbolTable" title="typedef Scope::SymbolTable">SymbolTable</a>,
<a href="Scope.html#ScopeTable" title="typedef Scope::ScopeTable">ScopeTable</a></td></tr></table>
<table width="100%" summary="Protected Data members Inherited from Scope">
<tr><td colspan="2" class="heading">Protected Data members Inherited from Scope</td></tr>
<tr><td class="inherited"><a href="Scope.html#my_symbols" title="data member Scope::my_symbols">my_symbols</a>,
<a href="Scope.html#my_scopes" title="data member Scope::my_scopes">my_scopes</a>,
<a href="Scope.html#my_refcount" title="data member Scope::my_refcount">my_refcount</a></td></tr></table>
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Public Member functions Details:</div>
<div class="item"><div class="synopsis">&#160;<a href="Namespace.html" >Namespace</a>* <a class="name" id="find_namespace_lconst.PTree_mNamespaceSpec_S_rconst">find_namespace</a>(const&#160;<a href="../PTree/NamespaceSpec.html" >PTree::NamespaceSpec</a>* <span class="variable">name</span>) <span class="keyword">const</span> </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scopes.hh.html#line181" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>Find a nested namespace.</p>
</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
